[med-svn] [python3-fitbitscraper] 02/06: Added Debian package information

Iain Learmonth irl-guest at moszumanska.debian.org
Sun Feb 2 14:05:57 UTC 2014


This is an automated email from the git hooks/post-receive script.

irl-guest pushed a commit to branch master
in repository python3-fitbitscraper.

commit ec3532006e6af5091cb9baa5101b1edf4bcc15e0
Author: Iain R. Learmonth <irl at fsfe.org>
Date:   Sat Feb 1 23:33:39 2014 +0000

    Added Debian package information
---
 debian/.svn/entries                                |   1 +
 debian/.svn/format                                 |   1 +
 ...64dc0ce263680c076a1005f35ec906a5cf5a32.svn-base |   1 +
 ...d592dd334adcf0f050463a65ec29eba12ce841.svn-base |  45 +++++++++++++++++++++
 ...dacf59066893827fd90105988a1654ecd115f1.svn-base |  22 ++++++++++
 ...99327daa43698f75fa0bd69ebd597d28951309.svn-base |  11 +++++
 ...a2735892fce1a56c303cf8c6a4971221561006.svn-base |   5 +++
 ...6b45b146d063697cab8ae9602b0fde846aa5d8.svn-base |  23 +++++++++++
 ...e1128b5a0fc338cf13f486fd0dc5ba0eaca46e.svn-base |  16 ++++++++
 ...bd01116aea179a2505993fce325c39e117cf78.svn-base |  12 ++++++
 ...abd567fa79cbe0196d093a067271361dc6ca8b.svn-base |   1 +
 debian/.svn/wc.db                                  | Bin 0 -> 37888 bytes
 debian/changelog                                   |   5 +++
 debian/compat                                      |   1 +
 debian/control                                     |  18 +++++++++
 debian/copyright                                   |  27 +++++++++++++
 debian/get-orig-source                             |  45 +++++++++++++++++++++
 debian/rules                                       |   8 ++++
 debian/source/format                               |   1 +
 debian/upstream                                    |  12 ++++++
 debian/watch                                       |   2 +
 21 files changed, 257 insertions(+)

diff --git a/debian/.svn/entries b/debian/.svn/entries
new file mode 100644
index 0000000..48082f7
--- /dev/null
+++ b/debian/.svn/entries
@@ -0,0 +1 @@
+12
diff --git a/debian/.svn/format b/debian/.svn/format
new file mode 100644
index 0000000..48082f7
--- /dev/null
+++ b/debian/.svn/format
@@ -0,0 +1 @@
+12
diff --git a/debian/.svn/pristine/10/1064dc0ce263680c076a1005f35ec906a5cf5a32.svn-base b/debian/.svn/pristine/10/1064dc0ce263680c076a1005f35ec906a5cf5a32.svn-base
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/.svn/pristine/10/1064dc0ce263680c076a1005f35ec906a5cf5a32.svn-base
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/.svn/pristine/25/25d592dd334adcf0f050463a65ec29eba12ce841.svn-base b/debian/.svn/pristine/25/25d592dd334adcf0f050463a65ec29eba12ce841.svn-base
new file mode 100644
index 0000000..e486809
--- /dev/null
+++ b/debian/.svn/pristine/25/25d592dd334adcf0f050463a65ec29eba12ce841.svn-base
@@ -0,0 +1,45 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${TARDIR}.tar.gz
+
+UPSTREAMTARDIR=`find . -mindepth 1 -maxdepth 1 -type d`
+if [ "${UPSTREAMTARDIR}" != "${TARDIR}" ] ; then
+    mv "${UPSTREAMTARDIR}" "${TARDIR}"
+fi
+
+# Remove useless binaries
+# ... do something which needs to be done ...
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/.svn/pristine/2a/2adacf59066893827fd90105988a1654ecd115f1.svn-base b/debian/.svn/pristine/2a/2adacf59066893827fd90105988a1654ecd115f1.svn-base
new file mode 100644
index 0000000..432d77c
--- /dev/null
+++ b/debian/.svn/pristine/2a/2adacf59066893827fd90105988a1654ecd115f1.svn-base
@@ -0,0 +1,22 @@
+version=3
+
+# Uncomment to examine a Webpage
+# <Webpage URL> <string match>
+#http://www.example.com/downloads.php #PACKAGE#-(.*)\.tar\.gz
+
+# Uncomment to examine a Webserver directory
+#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz
+
+# Uncommment to examine a FTP server
+#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate
+
+# Uncomment to find new files on sourceforge
+# http://sf.net/#PACKAGE#/#PACKAGE#-(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
+
+# Uncomment to find new files on GooglePages
+# http://code.google.com/p/#PACKAGE#/downloads/list?can=1 \
+#  .*/#PACKAGE#-([-.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
+
+# if tweaking of source is needed
+# \
+# debian debian/get-orig-source
diff --git a/debian/.svn/pristine/3d/3d99327daa43698f75fa0bd69ebd597d28951309.svn-base b/debian/.svn/pristine/3d/3d99327daa43698f75fa0bd69ebd597d28951309.svn-base
new file mode 100644
index 0000000..4e27a1f
--- /dev/null
+++ b/debian/.svn/pristine/3d/3d99327daa43698f75fa0bd69ebd597d28951309.svn-base
@@ -0,0 +1,11 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: <pkg>
+Source: <path_to_download>
+
+Files: *
+Copyright: © 20xx-20yy <upstream>
+License: <license>
+
+Files: debian/*
+Copyright: © 2012 Andreas Tille <tille at debian.org>
+License: <license>
diff --git a/debian/.svn/pristine/3d/3da2735892fce1a56c303cf8c6a4971221561006.svn-base b/debian/.svn/pristine/3d/3da2735892fce1a56c303cf8c6a4971221561006.svn-base
new file mode 100644
index 0000000..b78c1b3
--- /dev/null
+++ b/debian/.svn/pristine/3d/3da2735892fce1a56c303cf8c6a4971221561006.svn-base
@@ -0,0 +1,5 @@
+<pkg> (<version>-1) UNRELEASED; urgency=low
+
+  * Initial release (Closes: #<bug>)
+
+ -- DMPT <debian-med-packaging at lists.alioth.debian.org>  Thu, 24 May 2012 14:30:13 +0200
diff --git a/debian/.svn/pristine/6f/6f6b45b146d063697cab8ae9602b0fde846aa5d8.svn-base b/debian/.svn/pristine/6f/6f6b45b146d063697cab8ae9602b0fde846aa5d8.svn-base
new file mode 100644
index 0000000..58ec00b
--- /dev/null
+++ b/debian/.svn/pristine/6f/6f6b45b146d063697cab8ae9602b0fde846aa5d8.svn-base
@@ -0,0 +1,23 @@
+#!/usr/bin/make -f
+
+# DH_VERBOSE := 1
+
+# some helpful variables - uncomment them if needed
+# shamelessly stolen from http://jmtd.net/log/awk/
+#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
+#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
+#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
+#DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
+#GIT_TAG        := $(subst ~,_,$(VERSION))
+
+# alternatively to manually set those variables you can
+#  include /usr/share/cdbs/1/rules/buildvars.mk
+# and use what is set there.  Any hint whether dh might set variables in
+# a similar manner are welcome.
+
+%:
+	dh $@
+
+#get-orig-source:
+#	. debian/get-orig-source
diff --git a/debian/.svn/pristine/97/97e1128b5a0fc338cf13f486fd0dc5ba0eaca46e.svn-base b/debian/.svn/pristine/97/97e1128b5a0fc338cf13f486fd0dc5ba0eaca46e.svn-base
new file mode 100644
index 0000000..28c2416
--- /dev/null
+++ b/debian/.svn/pristine/97/97e1128b5a0fc338cf13f486fd0dc5ba0eaca46e.svn-base
@@ -0,0 +1,16 @@
+Source: <pkg>
+Section: science
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/<pkg>/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/<pkg>/trunk/
+Homepage: <homepage>
+
+Package: <pkg>
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: <short_description>
+ <long_description>
diff --git a/debian/.svn/pristine/a0/a0bd01116aea179a2505993fce325c39e117cf78.svn-base b/debian/.svn/pristine/a0/a0bd01116aea179a2505993fce325c39e117cf78.svn-base
new file mode 100644
index 0000000..d8b5812
--- /dev/null
+++ b/debian/.svn/pristine/a0/a0bd01116aea179a2505993fce325c39e117cf78.svn-base
@@ -0,0 +1,12 @@
+Reference:
+  Author: 
+  Title: 
+  Journal: 
+  Year: 
+  Volume: 
+  Number: 
+  Pages: 
+  DOI: 
+  PMID:
+  URL: 
+  eprint: 
diff --git a/debian/.svn/pristine/b6/b6abd567fa79cbe0196d093a067271361dc6ca8b.svn-base b/debian/.svn/pristine/b6/b6abd567fa79cbe0196d093a067271361dc6ca8b.svn-base
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/.svn/pristine/b6/b6abd567fa79cbe0196d093a067271361dc6ca8b.svn-base
@@ -0,0 +1 @@
+9
diff --git a/debian/.svn/wc.db b/debian/.svn/wc.db
new file mode 100644
index 0000000..13f41da
Binary files /dev/null and b/debian/.svn/wc.db differ
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..9e6b2b8
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+python3-fitbitscraper (0.1-1) UNRELEASED; urgency=medium
+
+  * Initial release. (Closes: #XXXXXX)
+
+ -- Iain R. Learmonth <irl at fsfe.org>  Sat, 01 Feb 2014 23:01:29 +0000
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..b7195ae
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,18 @@
+Source: python3-fitbitscraper
+Section: science
+Priority: optional
+Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille at debian.org>, Iain R. Learmonth <irl at fsfe.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/<pkg>/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/<pkg>/trunk/
+Homepage: https://github.com/irl/python-fitbitscraper/
+
+Package: python3-fitbitscraper
+Architecture: any
+Depends: ${python3:Depends}, ${misc:Depends}
+Description: Python library for scraping the FitBit website for data
+ A Python library for scraping steps data and sleep quality data from
+ the FitBit website.
+
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..11d87ef
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,27 @@
+Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: python-fitbitscraper
+Source: https://github.com/irl/python-fitbitscraper/
+
+Files: *
+Copyright: (C) 2014 Iain R. Learmonth <irl at fsfe.org>
+License: GPL-2
+
+Files: debian/*
+Copyright: (C) 2014 Iain R. Learmonth <irl at fsfe.org>
+License: GPL-2
+
+License: GPL-2
+    This program is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+    .
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+    .
+    You should have received a copy of the GNU General Public License along
+    with this program; if not, write to the Free Software Foundation, Inc.,
+    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
diff --git a/debian/get-orig-source b/debian/get-orig-source
new file mode 100755
index 0000000..e486809
--- /dev/null
+++ b/debian/get-orig-source
@@ -0,0 +1,45 @@
+#!/bin/sh
+# if you need to repack for whatever reason you can
+# use this script via uscan or directly
+#
+# FIXME: currently the code is not conform to Debian Policy
+#        http://www.debian.org/doc/debian-policy/ch-source.html
+#        "get-orig-source (optional)"
+#        This target may be invoked in any directory, ...
+# --> currently it is assumed the script is called in the
+#     source directory featuring the debian/ dir
+
+COMPRESS=xz
+
+set -e
+NAME=`dpkg-parsechangelog | awk '/^Source/ { print $2 }'`
+
+if ! echo $@ | grep -q upstream-version ; then
+    VERSION=`dpkg-parsechangelog | awk '/^Version:/ { print $2 }' | sed 's/\([0-9\.]\+\)-[0-9]\+$/\1/'`
+    uscan --force-download
+else
+    VERSION=`echo $@ | sed "s?^.*--upstream-version \([0-9.]\+\) .*${NAME}.*?\1?"`
+    if echo "$VERSION" | grep -q "upstream-version" ; then
+        echo "Unable to parse version number"
+        exit
+    fi
+fi
+
+TARDIR=${NAME}-${VERSION}
+mkdir -p ../tarballs
+cd ../tarballs
+# need to clean up the tarballs dir first because upstream tarball might
+# contain a directory with unpredictable name
+rm -rf *
+tar -xaf ../${TARDIR}.tar.gz
+
+UPSTREAMTARDIR=`find . -mindepth 1 -maxdepth 1 -type d`
+if [ "${UPSTREAMTARDIR}" != "${TARDIR}" ] ; then
+    mv "${UPSTREAMTARDIR}" "${TARDIR}"
+fi
+
+# Remove useless binaries
+# ... do something which needs to be done ...
+
+GZIP="--best --no-name" tar --owner=root --group=root --mode=a+rX -caf "$NAME"_"$VERSION".orig.tar.${COMPRESS} "${TARDIR}"
+rm -rf ${TARDIR}
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..80900b5
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,8 @@
+#!/usr/bin/make -f
+
+export DH_VERBOSE=1
+export PYBUILD_NAME=fitbitscraper
+
+%:
+	dh $@ --with python3 --buildsystem=pybuild
+
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/upstream b/debian/upstream
new file mode 100644
index 0000000..d8b5812
--- /dev/null
+++ b/debian/upstream
@@ -0,0 +1,12 @@
+Reference:
+  Author: 
+  Title: 
+  Journal: 
+  Year: 
+  Volume: 
+  Number: 
+  Pages: 
+  DOI: 
+  PMID:
+  URL: 
+  eprint: 
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..4cc094b
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,2 @@
+version=3
+https://github.com/irl/python-fitbitscraper/releases/ .*/([0-9.]+)\.tar\.gz

-- 
Alioth's /git/debian-med/git-commit-notice on /srv/git.debian.org/git/debian-med/python3-fitbitscraper.git



More information about the debian-med-commit mailing list